## lodepng 0.0~git20220618.b4ed2cd

=== debian/changelog ===
lodepng (0.0~git20220618.b4ed2cd-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Mark 3 symbols as optional to fix a build failure with newer gcc and
    different optimization levels (Closes: #1025681)

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Dec 2022 11:01:09 -0500

lodepng (0.0~git20220618.b4ed2cd-2) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS: Set CXX in accordance with buildtools.mk
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Fri, 22 Jul 2022 16:25:56 +0530

lodepng (0.0~git20220618.b4ed2cd-1) unstable; urgency=medium

  * Refresh symbols control file for 32-bit archs.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 10 Jul 2022 17:38:29 -0700

lodepng (0.0~git20220618.b4ed2cd-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1014661)

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Jul 2022 18:42:54 -0700
