=== debian/control ===
Source: lodepng
Section: libs
Homepage: http://lodev.org/lodepng/
Priority: optional
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/deeplearning-team/lodepng.git
Vcs-Browser: https://salsa.debian.org/deeplearning-team/lodepng
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13)

Package: liblodepng0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PNG encoder and decoder in C and C++, without dependencies
 PNG is a file format to store raster images losslessly with good compression,
 supporting different color types and alpha channel.
 .
 LodePNG is a PNG codec according to the Portable Network Graphics (PNG)
 Specification (Second Edition) - W3C Recommendation 10 November 2003.
 .
 The specifications used are:
 .
  *) Portable Network Graphics (PNG) Specification (Second Edition):
       http://www.w3.org/TR/2003/REC-PNG-20031110
  *) RFC 1950 ZLIB Compressed Data Format version 3.3:
       http://www.gzip.org/zlib/rfc-zlib.html
  *) RFC 1951 DEFLATE Compressed Data Format Specification ver 1.3:
       http://www.gzip.org/zlib/rfc-deflate.html
 .
 LodePNG works both in C (ISO C90) and C++, with a C++ wrapper that adds
 extra functionality.
 .
 This package conatains the shared objects.

Package: liblodepng-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblodepng0 (= ${binary:Version}), ${misc:Depends}
Description: PNG encoder and decoder in C and C++, without dependencies
 PNG is a file format to store raster images losslessly with good compression,
 supporting different color types and alpha channel.
 .
 LodePNG is a PNG codec according to the Portable Network Graphics (PNG)
 Specification (Second Edition) - W3C Recommendation 10 November 2003.
 .
 The specifications used are:
 .
  *) Portable Network Graphics (PNG) Specification (Second Edition):
       http://www.w3.org/TR/2003/REC-PNG-20031110
  *) RFC 1950 ZLIB Compressed Data Format version 3.3:
       http://www.gzip.org/zlib/rfc-zlib.html
  *) RFC 1951 DEFLATE Compressed Data Format Specification ver 1.3:
       http://www.gzip.org/zlib/rfc-deflate.html
 .
 LodePNG works both in C (ISO C90) and C++, with a C++ wrapper that adds
 extra functionality.
 .
 This package conatains the development files and examples.
