## lodepng 0.0~git20240415.ed3c5f1

=== debian/changelog ===
lodepng (0.0~git20240415.ed3c5f1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20240415.ed3c5f1
  * d/symbols: remove symbols from libstdc++ (closes: #1064557)
  * d/rules: clean built library files (closes: #1045172, #1049662)
  * d/control: bump std-ver to 4.7.0.1 (no changes required)
  * d/: add new binary package lodepng-utils
  * Bump soname liblodepng0 to liblodepng0.1:
    + d/patches: add patch to expose C-style symbols (closes: #1042096)
      Corresponding C++ symbols have all been removed from library.
    + d/symbols: refresh with C-style names, unify architectures
    + d/symbols: set all symbols from stl as optional
  * d/patches: create patch to add missing API in header

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 12 Sep 2024 00:15:12 +0800
