## lodepng 0.0~git20241228.0b1d9cc

=== debian/changelog ===
lodepng (0.0~git20241228.0b1d9cc-1) unstable; urgency=medium

  * New upstream version 0.0~git20241228.0b1d9cc
  * d/patches: refresh existing patches
  * Add new symbols for liblodepng0.1
  * d/control: use correct std-ver, add myself in uploaders

 -- Shengqi Chen <harry@debian.org>  Wed, 12 Feb 2025 23:31:34 +0800
