=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Homepage: http://lodev.org/lodepng/
 Priority: optional
-Standards-Version: 4.7.0.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/deeplearning-team/lodepng.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/lodepng
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
-Uploaders: Mo Zhou <lumin@debian.org>
+Uploaders: Mo Zhou <lumin@debian.org>, Shengqi Chen <harry@debian.org>
 Build-Depends: debhelper-compat (= 13)
 
 Package: liblodepng0.1
