## lodepng 0.0~git20250402.c45ed79

=== debian/changelog ===
lodepng (0.0~git20250402.c45ed79-2) unstable; urgency=medium

  [ Teemu Hukkanen ]
  * Fix typo in package descriptions (conatains -> contains).

  [ Petter Reinholdtsen ]
  * Mention alternative proposal for lodepng_convert_rgb() in patch.

 -- Shengqi Chen <harry@debian.org>  Thu, 10 Apr 2025 13:51:45 +0800

lodepng (0.0~git20250402.c45ed79-1) unstable; urgency=medium

  * New upstream version 0.0~git20250402.c45ed79

 -- Shengqi Chen <harry@debian.org>  Thu, 10 Apr 2025 13:40:49 +0800
