=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  LodePNG works both in C (ISO C90) and C++, with a C++ wrapper that adds
  extra functionality.
  .
- This package conatains the shared objects.
+ This package contains the shared objects.
 
 Package: liblodepng-dev
 Section: libdevel
@@ -60,7 +60,7 @@
  LodePNG works both in C (ISO C90) and C++, with a C++ wrapper that adds
  extra functionality.
  .
- This package conatains the development files and examples.
+ This package contains the development files and examples.
 
 Package: lodepng-utils
 Section: graphics
@@ -88,5 +88,4 @@
  LodePNG works both in C (ISO C90) and C++, with a C++ wrapper that adds
  extra functionality.
  .
- This package conatains the pngdetail utility.
-
+ This package contains the pngdetail utility.
